# CreatePartnerSocialNetwork

> Add a social handle to a partner on one network; socialNetworkId comes from… Write access, partners toolset, MCP tool create_partner_social_network.

Add a social handle to a partner on one network; socialNetworkId comes from SocialNetworksLookup.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `body` | `JSON!` | yes | Object, fields below |  |
| `partnerId` | `UUID!` | yes |  |  |
| `socialNetworkId` | `UUID!` | yes |  |  |

## Input types

### `body`

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `handle` | string | yes | 1 to 80 characters |  |
| `url` | string (uri) or null | no | format uri |  |
| `watched` | boolean | no |  |  |
| `platform_user_id` | string or null | no | 1 to 120 characters |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CreatePartnerSocialNetwork","variables":{"body":{"handle":"example"},"partnerId":"00000000-0000-0000-0000-000000000000","socialNetworkId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"854ede65eaa7c6c7efed993ecced1967b9ee1031286ea59b3e2351bc65bd33f3"}}}'
```

## Document

```graphql
mutation CreatePartnerSocialNetwork($body: JSON!, $partnerId: UUID!, $socialNetworkId: UUID!) { __typename createPartnerSocialNetwork( input: {partnerId: $partnerId, socialNetworkId: $socialNetworkId, body: $body} ) { __typename accountId partnerSocialNetwork { __typename handle id partnerId rowId socialNetworkId } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/partners/create-partner-social-network
